#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-1T1Bo0MXjmG7KjLm7Qrfar
key:                  lsp-1.4.0.0-1T1Bo0MXjmG7KjLm7Qrfar
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  1bdc5c4419e4f8d4d0ceb13cdafcd7b8
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-79Iqr41hd6I4mJvsx6nds5:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-79Iqr41hd6I4mJvsx6nds5:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-79Iqr41hd6I4mJvsx6nds5:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-79Iqr41hd6I4mJvsx6nds5:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-1T1Bo0MXjmG7KjLm7Qrfar
depends:
    aeson-2.1.2.1-A1BsFbrv9iTYSCFmVNKuj
    async-2.2.5-C7wSBqUZtbTIGwzJcB5Zmf
    attoparsec-0.14.4-Ls3KkFW9Y1ID7Dl0hM2meR base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-dedT9YOqsF2aVr3BjFeyL exceptions-0.10.4
    hashable-1.4.4.0-4PDYVYgOfaOHbKjFqbnqvX
    hslogger-1.3.1.1-I1czBOqIO2pJJf7DJpwn9W
    lens-5.2.3-HSZB5kpZAt0LoMCL0cbf2Z
    lsp-types-1.4.0.1-79Iqr41hd6I4mJvsx6nds5 mtl-2.2.2
    network-uri-2.6.4.2-CDmMeEG7S02GXR0T7FnbFN
    random-1.2.1.2-AYM6DIIc9ftFlQ8RzN1HJP
    scientific-0.3.7.0-32sSMVZGVJI9kBL7DeEJ6v
    sorted-list-0.2.2.0-kpw8yxyq8SHnU9GHIXEk1 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E7OuZmBexWvK28rs1X57rg
    uuid-1.3.15-F1LGPwz4FH945hxfzU7Pja

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

